<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page session="true" %>

<% request.setCharacterEncoding("utf-8");%>

 <html>
 <head>
 </head>
 <body>
  
  
  
  
  
  
  
  
  
  
 
  
  
  <h2> 회원목록</h2>
  
<table border=1>

<tr>
<th>아이디</th>
<th>패스워드</th>
<th>이름</th>
<th>이메일</th>
<th>핸드폰번호</th>
 
</tr>

<%
ResultSet rs = null;

try
{
	 
	   Class.forName("oracle.jdbc.driver.OracleDriver");
		Connection conn = DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20172300","980612");
		PreparedStatement pstmt = conn.prepareStatement("select * from O_MEMBER") ;
		rs=pstmt.executeQuery();
		
		while(rs.next())
		{
			String ID = rs.getString("ID");
			String PASSWORD = rs.getString("PASSWORD");
			String NAME = rs.getString("NAME");
			String EMAIL = rs.getString("EMAIL");
			String PHONENUM = rs.getString("PHONENUM");
			
			 
			
			%>
			
			<tr>
			<td><%= ID %></td>
			<td><%= PASSWORD %></td>
			<td><%= NAME %></td>
			<td><%= EMAIL %></td>
			<td><%= PHONENUM %></td>
			
			</tr>
			
			
			
		<% }
}
catch(Exception e)
{ 
		e.printStackTrace();
}
%>
</table>
<p>
<form method = "post" action = "main.jsp">
<input type = submit value = "메인">
<p>
 

 
</body>
</html>